/*
 * Copyright (c) 2012, Noel Lemouel
 * All rights reserved.
 */

#ifndef __TMP275_H__
#define __TMP275_H__

/* TMP275 temperature structure */
typedef struct tmp275_tp_s {
	unsigned char  u;	/* unit: c or f */
	unsigned char  s;	/* sign */
	unsigned short i;	/* integer part */
	unsigned short f;	/* fractional part */
} tmp275_tp_t;

int tmp275_echo(void);
unsigned short tmp275_read(unsigned char);
int tmp275_xtoc(unsigned char, unsigned char, tmp275_tp_t *);
int tmp275_xtof(unsigned char, unsigned char, tmp275_tp_t *);

#endif /* __TMP275_H__ */

