/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved. See LICENCE file for details.
 */

#ifndef __MMAP_H__
#define __MMAP_H__

/************************************************************/

/* cpu */

/* change with arm_xxx core values */

#define CPU_ICACHE_SIZE       0           /* no ICACHE */
#define CPU_ICACHELINE_SIZE   xx          /* xx bytes/line */

#define CPU_DCACHE_SIZE       0           /* no DCACHE */
#define CPU_DCACHELINE_SIZE   xx          /* xx bytes/line */

#define SYS_EXCEPTION_ADDR    0xXXXXXXXX  /* Exception entry point */

#define SYS_INIT_SP           0xXXXXXXXX

/************************************************************/

/* memories */

#define MEM_FLASH_BASE        0xXXXXXXXX  /* FLASH base addr */
#define MEM_FLASH_SIZE        0xXXXXXXXX  /* xx MByte */

#define MEM_SRAM_BASE         0xXXXXXXXX  /* SRAM base addr */
#define MEM_SRAM_SIZE         0xXXXXXXXX  /* xx kBytes */

/************************************************************/

/* peripherals */


/************************************************************/

/* console */

#define IO_DEBUG_UART         0xXXXXXXXX

#endif   /* __MMAP_H__ */
 
