/*
 * Copyright (c) 2008, Noel Lemouel
 * All rights reserved.
 */

#ifndef __STRING_H__
#define __STRING_H__

#include <stddef.h>

void *memcpy(void *, const void *, size_t);
void *memset(void *, int, size_t);
void *memset_32(void *, int, size_t);
int strcmp(const char *, const char *);
int strncmp(const char *, const char *, size_t);
size_t strlen(const char *);
size_t strnlen(const char *, size_t);

#endif /* __STRING_H__ */

