/*
 * Copyright (c) 2012, Noel Lemouel
 * All rights reserved.
 */

/* LED0 => RB15 */
/* LED1 => RF5 */
/* LED2 => RF4 */

void led_init(void)
{
   /* RB15 */
   *(volatile unsigned int*)0xbf809060 |= (0x01 << 15);     /* AD1PCFG */
   *(volatile unsigned int*)0xbf886040 &= ~(0x01 << 15);    /* TRISB */
   *(volatile unsigned int*)0xbf886050 &= ~(0x01 << 15);    /* PORTB */
   /* RF5 */
   *(volatile unsigned int*)0xbf886140 &= ~(0x01 << 5);     /* TRISF */
   *(volatile unsigned int*)0xbf886150 &= ~(0x01 << 5);     /* PORTF */
   /* RF4 */
   *(volatile unsigned int*)0xbf886140 &= ~(0x01 << 4);     /* TRISF */
   *(volatile unsigned int*)0xbf886150 &= ~(0x01 << 4);     /* PORTF */
}

void led0_set(void)
{
   *(volatile unsigned int*)0xbf886050 |= (0x01 << 15);
}

void led0_clear(void)
{
   *(volatile unsigned int*)0xbf886050 &= ~(0x01 << 15);
}

void led1_set(void)
{
   *(volatile unsigned int*)0xbf886150 |= (0x01 << 5);
}

void led1_clear(void)
{
   *(volatile unsigned int*)0xbf886150 &= ~(0x01 << 5);
}

void led2_set(void)
{
   *(volatile unsigned int*)0xbf886150 |= (0x01 << 4);
}

void led2_clear(void)
{
   *(volatile unsigned int*)0xbf886150 &= ~(0x01 << 4);
}

