/*
 * Copyright (c) 2011, Noel Lemouel
 * All rights reserved.
 */

/* expects 0xdeadbeef or deadbeef */
int atox(const char *ip_str)
{
   unsigned int op_val=0, i=0, ip_len = strlen(ip_str);

   if(strncmp(ip_str, "0x", 2) == 0){
      ip_str +=2;
      ip_len -=2;
   }

   for(i=0;i<ip_len;i++){
      op_val *= 0x10;
      switch(ip_str[i]){
         case 'A':
         case 'a':
            op_val += 0xa;
         break;
         case 'B':
         case 'b':
            op_val += 0xb;
         break;
         case 'C':
         case 'c':
            op_val += 0xc;
         break;
         case 'D':
         case 'd':
            op_val += 0xd;
         break;
         case 'E':
         case 'e':
            op_val += 0xe;
         break;
         case 'F':
         case 'f':
            op_val += 0xf;
         break;
         case '0' ... '9':
            op_val += (ip_str[i] - 0x30);
         break;
         default :
            op_val += 0x0;
         break;
      }
   }

   return op_val;
}

