#!/bin/sh

HOST=`uname -s`
CPU=`uname -p`
BAUDRATE=9600

if [ $HOST = "Darwin" ] && [ $CPU = "powerpc" ]
then
	./orx/orx_macosx_ppc_libftdi libftdi tiny.bin 0xa0000800 0x55 -b $BAUDRATE  -t `tty`
elif [ $HOST = "MINGW32_NT-5.1" ] || [ $HOST = "CYGWIN_NT-5.1" ]
then
	if [ $# -lt 1 ];
	then
		echo usage: $0 PORT#
		exit -1
	fi
	./orx/orx_win32.exe $1 tiny.bin 0xa0000800 0x55 -b $BAUDRATE -t dummy
elif [ $HOST = "MINGW32_NT-5.1" ] || [ $HOST = "CYGWIN_NT-5.1" ]
then
	echo no binaries available for $HOST $CPU
else
	echo no binaries available for $HOST $CPU
fi

